org.apache.felix.ipojo.configuration

## Class Instance

- java.lang.Object
- - org.apache.felix.ipojo.configuration.Instance

    public class Instance
    extends java.lang.Object

Instance Builder

### Nested Class Summary

Nested Classes
`static class` `Instance.FluentList<T>`
`static class` `Instance.FluentMap<K,T>`
`static class` `Instance.Pair<K,V>`
`class` `Instance.Property<T>`

### Constructor Summary

Constructors
Constructor and Description
`Instance()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.Dictionary<java.lang.String,java.lang.Object>` `configuration()`
`static <K,T> Instance.Pair<K,T>` `entry(K k, T v)`
`java.lang.String` `factory()`
`static Instance` `instance()`
`static <T> Instance.FluentList<T>` `list(T... items)`
`static <K,T> Instance.FluentMap<K,T>` `map(Instance.Pair<K,T>... pairs)`
`java.lang.String` `name()`
`Instance` `named(java.lang.String name)`
`Instance` `nameIfUnnamed(java.lang.String name)`
`Instance` `of(java.lang.Class clazz)`
`Instance` `of(java.lang.String factory)`
`static <K,T> Instance.Pair<K,T>` `pair(K k, T v)`
`Instance.Property<java.lang.Object>` `with(java.lang.String property)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Instance

    public Instance()

### Method Detail

#### instance

    public static Instance instance()

#### list

    public static <T> Instance.FluentList<T> list(T... items)

#### map

    public static <K,T> Instance.FluentMap<K,T> map(Instance.Pair<K,T>... pairs)

#### pair

    public static <K,T> Instance.Pair<K,T> pair(K k,
                                                T v)

#### entry

    public static <K,T> Instance.Pair<K,T> entry(K k,
                                                 T v)

#### factory

    public java.lang.String factory()

#### name

    public java.lang.String name()

#### configuration

    public java.util.Dictionary<java.lang.String,java.lang.Object> configuration()

#### of

    public Instance of(java.lang.String factory)

#### of

    public Instance of(java.lang.Class clazz)

#### named

    public Instance named(java.lang.String name)

#### with

    public Instance.Property<java.lang.Object> with(java.lang.String property)

#### nameIfUnnamed

    public Instance nameIfUnnamed(java.lang.String name)